## pushfilesrc

pushfilesrc

## Properties

gdouble | applied-rate | Read / Write
guint64 | initial-timestamp | Read / Write
gchar * | location | Read / Write
gdouble | rate | Read / Write
gint64 | start-time | Read / Write
gint64 | stream-time | Read / Write
gboolean | time-segment | Read / Write

## Types and Values

struct | GstPushFileSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstPushFileSrc

## Implemented Interfaces

GstPushFileSrc implements GstChildProxy and GstURIHandler.

## Description

This element is only useful for debugging purposes. It implements an URI protocol handler for the 'pushfile' protocol and behaves like a file source element that cannot be activated in pull-mode. This makes it very easy to debug demuxers or decoders that can operate both pull and push-based in connection with the playbin element (which creates a source based on the URI passed).

### Example launch line

    1

    gst-launch-1.0 -m playbin uri=pushfile:///home/you/some/file.ogg

This plays back the given file using playbin, with the demuxer operating push-based.

## Synopsis

### Element Information

plugin | debug
author | Tim-Philipp Müller <tim centricular net>
class | Testing

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstPushFileSrc

    struct GstPushFileSrc;

## Property Details

### The `“applied-rate”` property

      “applied-rate”             gdouble

Applied rate to use in TIME SEGMENT.

Owner: GstPushFileSrc

Flags: Read / Write

Allowed values: >= G_MINDOUBLE

Default value: 1

### The `“initial-timestamp”` property

      “initial-timestamp”        guint64

Initial Buffer Timestamp (if time-segment TRUE).

Owner: GstPushFileSrc

Flags: Read / Write

Default value: 18446744073709551615

### The `“location”` property

      “location”                 gchar *

Location of the file to read.

Owner: GstPushFileSrc

Flags: Read / Write

Default value: NULL

### The `“rate”` property

      “rate”                     gdouble

Rate to use in TIME SEGMENT.

Owner: GstPushFileSrc

Flags: Read / Write

Allowed values: >= G_MINDOUBLE

Default value: 1

### The `“start-time”` property

      “start-time”               gint64

Initial Start Time (if time-segment TRUE).

Owner: GstPushFileSrc

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“stream-time”` property

      “stream-time”              gint64

Initial Stream Time (if time-segment TRUE).

Owner: GstPushFileSrc

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“time-segment”` property

      “time-segment”             gboolean

Emit TIME SEGMENTS.

Owner: GstPushFileSrc

Flags: Read / Write

Default value: FALSE

## See Also

filesrc